package com.zjrs.zwnw.jbxxgl.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.jbxxgl.blo.GrxxglBLO;
import com.zjrs.zwnw.jbxxgl.bpo.GrxxglBPO;
import com.zjrs.zwnw.jbxxgl.dto.*;
import com.zjrs.zwnw.jbxxgl.po.VSAc01PO;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;

@Service
public class GrxxglBPOimpl extends BPOImpl implements GrxxglBPO {
    @Resource
    private GrxxglBLO grxxglBLO;

    @Override
    public PageResult getGrxxList(GrxxQueryDTO dto) {
        return grxxglBLO.getGrxxList(dto);
    }

    @Override
    public VSAc01PO getGrxx(JbxxglCommonDTO dto) {
        return grxxglBLO.getGrxx(dto);
    }

    @Override
    public String saveGrxx(GrxxDTO dto) {
        return grxxglBLO.saveGrxx(dto);
    }

    @Override
    public String saveGrjbxx(GrjbxxDTO dto) {
        return grxxglBLO.saveGrjbxx(dto);
    }

    @Override
    public PageResult getGrjbxxLog(GrLogQueryDTO dto) {
        return grxxglBLO.getGrjbxxLog(dto);
    }
}
